Loading...
Searching...
No Matches
QXmppEncryptedFileSource Class Reference

Represents an encrypted file source for file sharing. More...

## Public Member Functions

QXmpp::Cipher | cipher () const
| Returns the cipher that was used to encrypt the data in this file source.
void | setCipher (QXmpp::Cipher newCipher)
| Sets the cipher that was used to encrypt the data in this file source.
const QByteArray & | key () const
| Returns the key that can be used to decrypt the data in this file source.
void | setKey (const QByteArray &newKey)
| Sets the key that was used to encrypt the data in this file source.
const QByteArray & | iv () const
| Returns the Initialization vector that can be used to decrypt the data in this file source.
void | setIv (const QByteArray &newIv)
| Sets the initialization vector that was used to encrypt the data in this file source.
const QVector< QXmppHash > & | hashes () const
| Returns the hashes of the file contained in this file source.
void | setHashes (const QVector< QXmppHash > &newHashes)
| Sets the hashes of the file contained in this file source.
const QVector< QXmppHttpFileSource > & | httpSources () const
| Returns the http sources that can be used to retrieve the encrypted data.
void | setHttpSources (const QVector< QXmppHttpFileSource > &newHttpSources)
| Sets the http sources containing the encrypted data.

## Detailed Description

Represents an encrypted file source for file sharing.

Since
  QXmpp 1.5

The documentation for this class was generated from the following files:

- QXmppEncryptedFileSource.h
- QXmppEncryptedFileSource.cpp